%define tar_version 0.3.2.7

Name:		qtrans
Summary:	Translator based on Babylon dictionaries for Qt5/KF5
License:	GPL v2
Group:		Productivity/Office/Dictionary
URL:		https://sourceforge.net/projects/qtrans0
Version:	0.3.2.7
Release:	0.snr.0

Source0:	%{name}-%{tar_version}.tar.gz


#Vendor:		


BuildRoot:	%{_builddir}/%{name}-ROOT
#BuildRoot: %{_tmppath}/%{name}-root
#BuildRequires:	cmake libkde4-devel libqt4-devel
%if %suse_version >= 1110
BuildRequires:	cmake gcc-c++ zlib-devel libQt5WebKit5-devel libQt5WebKitWidgets-devel extra-cmake-modules ki18n-devel kxmlgui-devel ktextwidgets-devel kwindowsystem-devel 
%endif
#BuildRequires:	update-desktop-files

%description
QTrans is a word translator based on Babylon dictionaries (*.dic) for Qt5/KF5.
It translates from English into other languages.

%prep

%setup -qn %{name}-%{tar_version}
%if %suse_version == 1100
cat CMakeLists.txt | sed -e 's|share/kde4/apps/qtrans/|share/apps/qtrans/|g' > CMakeLists_new.txt
mv CMakeLists_new.txt CMakeLists.txt
cd flags
cat CMakeLists.txt | sed -e 's|share/kde4/apps/qtrans/flags/|share/apps/qtrans/flags/|g' > CMakeLists_new.txt
mv CMakeLists_new.txt CMakeLists.txt
%endif

%build
#QTDIR=/usr/local/Trolltech/Qt-4.4.0/bin
#PATH=/usr/local/Trolltech/Qt-4.4.0/bin:$PATH
#export PATH

cmake . -DCMAKE_INSTALL_PREFIX=/usr
make

%install
make DESTDIR=%{buildroot} install

#suse_update_desktop_file -r -n QTrans Office Dictionary

%clean
rm -rf %{buildroot}

%files
#/opt/kde3
/usr
